## ros-eloquent-rmw-implementation 0.8.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmw_implementation)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

find_package(rcutils REQUIRED)

find_package(rmw_implementation_cmake REQUIRED)

ament_python_install_package(${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

get_default_rmw_implementation(RMW_IMPLEMENTATION)

message(STATUS "")
message(STATUS "Default rmw implementation: '${RMW_IMPLEMENTATION}'")
message(STATUS "")

get_available_rmw_implementations(available_rmw_implementations)
list(LENGTH available_rmw_implementations count_available_rmw_implementations)
if(count_available_rmw_implementations EQUAL 1)
  set(rmw_implementation_disable_runtime_selection_default ON)
else()
  set(rmw_implementation_disable_runtime_selection_default OFF)
endif()

option(RMW_IMPLEMENTATION_DISABLE_RUNTIME_SELECTION "\
  Use only the RMW implementation specified at build time via the \
  'RMW_IMPLEMENTATION' environment variable and the 'RMW_IMPLEMENTATION' \
  CMake option, ignoring the runtime value of the 'RMW_IMPLEMENTATION' \
  environment variable"
  ${rmw_implementation_disable_runtime_selection_default})

if(RMW_IMPLEMENTATION_DISABLE_RUNTIME_SELECTION)
  message(STATUS "Runtime selection of RMW disabled; Only using "
    "'${RMW_IMPLEMENTATION}'")
else()
  message(STATUS "Runtime selection of RMW enabled")

  # provides FindPoco.cmake and Poco on platforms without it
  find_package(poco_vendor REQUIRED)
  find_package(Poco REQUIRED COMPONENTS Foundation)
  find_package(rmw REQUIRED)

  add_library(${PROJECT_NAME} SHARED
    src/functions.cpp)
  ament_target_dependencies(${PROJECT_NAME}
    "Poco"
    "rmw")
  target_compile_definitions(${PROJECT_NAME}
    PUBLIC "DEFAULT_RMW_IMPLEMENTATION=${RMW_IMPLEMENTATION}")
  configure_rmw_library(${PROJECT_NAME})

  ament_export_libraries(${PROJECT_NAME})

  install(
    TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION lib
    LIBRARY DESTINATION lib
    RUNTIME DESTINATION bin
  )
endif()

register_rmw_implementation(
  "c:rosidl_typesupport_c"
  "cpp:rosidl_typesupport_cpp"
)

ament_package(
  CONFIG_EXTRAS "rmw_implementation-extras.cmake.in"
)

=== debian/changelog ===
ros-eloquent-rmw-implementation (0.8.2-2bionic) bionic; urgency=high

  * Add support for Cyclone DDS. (#71 <https://github.com/ros2/rmw_implementation/issues/71>)
  * Contributors: Ruffin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 05:00:00 -0000

ros-eloquent-rmw-implementation (0.8.1-2bionic) bionic; urgency=high

  * use return_loaned_message_from (#76 <https://github.com/ros2/rmw_implementation/issues/76>)
  * Add localhost boolean parameter to create node function (#75 <https://github.com/ros2/rmw_implementation/issues/75>)
  * Zero copy api (#69 <https://github.com/ros2/rmw_implementation/issues/69>)
  * Add Python API for RMW implementation lookups (#73 <https://github.com/ros2/rmw_implementation/issues/73>)
  * update signature for added pub/sub options (#74 <https://github.com/ros2/rmw_implementation/issues/74>)
  * remove unneeded line from CMakeLists (#70 <https://github.com/ros2/rmw_implementation/issues/70>)
  * Make middleware selection more independent of build-time package availability (#67 <https://github.com/ros2/rmw_implementation/issues/67>)
  * Contributors: Brian Marchi, Dan Rose, Karsten Knese, Michel Hidalgo, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.8.0-2bionic) bionic; urgency=high

  * Add function for getting clients by node (#62 <https://github.com/ros2/rmw_implementation/issues/62>)
  * add get_actual_qos() feature to subscriptions (#61 <https://github.com/ros2/rmw_implementation/issues/61>)
  * Contributors: Jacob Perron, M. M

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.7.1-2bionic) bionic; urgency=high

  * add interfaces for rmw_take_event and assert_liveliness (#60 <https://github.com/ros2/rmw_implementation/issues/60>)
  * Rmw preallocate (#51 <https://github.com/ros2/rmw_implementation/issues/51>)
  * Contributors: Michael Carroll, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.7.0-2bionic) bionic; urgency=high

  * Add function rmw_get_actual_qos (#56 <https://github.com/ros2/rmw_implementation/issues/56>)
  * cmake: Add RMW_IMPLEMENTATION_FORCE_POCO (#59 <https://github.com/ros2/rmw_implementation/issues/59>)
  * add missing preload of rmw_set_log_severity (#55 <https://github.com/ros2/rmw_implementation/issues/55>)
  * Export threading library via extras and not ament_export_libraries to avoid warnings when cross-compiling (#53 <https://github.com/ros2/rmw_implementation/issues/53>)
  * pass context to wait set and fini context (#52 <https://github.com/ros2/rmw_implementation/issues/52>)
  * Contributors: Dirk Thomas, Eric Cousineau, Esteve Fernandez, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.6.1-2bionic) bionic; urgency=high

  * Add node graph functions (#49 <https://github.com/ros2/rmw_implementation/issues/49>)
  * add new functions (#50 <https://github.com/ros2/rmw_implementation/issues/50>)
  * Methods to retrieve matched count on pub/sub. (#48 <https://github.com/ros2/rmw_implementation/issues/48>)
  * Contributors: Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 05:00:00 -0000

ros-eloquent-rmw-implementation (0.6.0-2bionic) bionic; urgency=high

  * use semicolons after macros (#47 <https://github.com/ros2/rmw_implementation/issues/47>)
  * Include node namespaces in get_node_names. (#46 <https://github.com/ros2/rmw_implementation/issues/46>)
  * add rmw_get_serialization_format (#43 <https://github.com/ros2/rmw_implementation/issues/43>)
  * Contributors: Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 05:00:00 -0000

ros-eloquent-rmw-implementation (0.5.1-2bionic) bionic; urgency=high

  * avoid recursive find (#44 <https://github.com/ros2/rmw_implementation/issues/44>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 04:00:00 -0000

ros-eloquent-rmw-implementation (0.5.0-2bionic) bionic; urgency=high

  * Prepare dependencies for bouncy release. (#41 <https://github.com/ros2/rmw_implementation/issues/41>)
  * _raw function (#31 <https://github.com/ros2/rmw_implementation/issues/31>)
  * print missing symbol name (#40 <https://github.com/ros2/rmw_implementation/issues/40>)
  * Merge pull request #39 <https://github.com/ros2/rmw_implementation/issues/39> from ros2/misra_fixup
  * Change #if to #ifdef
  * improve error messages (#37 <https://github.com/ros2/rmw_implementation/issues/37>)
  * API to enable log severity setting.  (#30 <https://github.com/ros2/rmw_implementation/issues/30>)
  * Contributors: Dirk Thomas, Karsten Knese, Michael Carroll, Sriram Raghunathan, Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 04:00:00 -0000

ros-eloquent-rmw-implementation (0.4.0-2bionic) bionic; urgency=high

  * Merge pull request #36 <https://github.com/ros2/rmw_implementation/issues/36> from ros2/rename_group
  * waitset -> wait_set (#34 <https://github.com/ros2/rmw_implementation/issues/34>)
  * Merge pull request #32 <https://github.com/ros2/rmw_implementation/issues/32> from ros2/rep149
  * use format 3
  * simplify code relaying all symbols (#29 <https://github.com/ros2/rmw_implementation/issues/29>)
  * Merge pull request #27 <https://github.com/ros2/rmw_implementation/issues/27> from ros2/fix_deadlock
  * prefetch all symbols in rmw_init to avoid later race
  * make resolved symbol static to significantly reduce the chance of a deadlock
  * Merge pull request #26 <https://github.com/ros2/rmw_implementation/issues/26> from ros2/uncrustify_master
  * update style to match latest uncrustify
  * Contributors: Dirk Thomas, Karsten Knese, Mikael Arguedas, Morgan Quigley, William Woodall, dhood



=== debian/control ===
Source: ros-eloquent-rmw-implementation
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libpoco-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-python, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-poco-vendor, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-cyclonedds-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoco-dev, ros-eloquent-ament-index-python, ros-eloquent-poco-vendor, ros-eloquent-rmw-implementation-cmake, ros-eloquent-ros-workspace, ros-eloquent-rmw-fastrtps-cpp | ros-eloquent-rmw-connext-cpp | ros-eloquent-rmw-cyclonedds-cpp | ros-eloquent-rmw-opensplice-cpp
Description: The decision which ROS middleware implementation should be used for C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-rmw-implementation//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
